﻿using System.Threading;

using NAudio.Wave;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            string audioFilePath = @"d:\sample.mp3";

            using(AudioFileReader audioFileReader = new AudioFileReader(audioFilePath))
            {
                using(WasapiOut wasapiOut = new WasapiOut())
                {
                    wasapiOut.Init(audioFileReader);

                    wasapiOut.Play();

                    while(wasapiOut.PlaybackState == PlaybackState.Playing)
                    {
                        Thread.Sleep(1000);
                    }
                }
            }
        }

        #endregion
    }
}